Bug 1077919 - Make sure bundled sqlite files do not get used
Make sure bundled sqlite files do not get used
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: wt (Show other bugs)
rawhide
All All
unspecified Severity unspecified
: ---
: ---
Assigned To: Michal Minar
Fedora Extras Quality Assurance
:
Depends On:
Blocks: DuplicSysLibsTracker
  Show dependency treegraph
 
Reported: 2014-03-18 16:20 EDT by Ville Skyttä
Modified: 2014-04-02 05:29 EDT (History)
1 user (show)

See Also:
Fixed In Version: wt-3.3.2-2.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-02 05:29:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Make sure bundled sqlite files do not get used (1.33 KB, patch)
2014-03-18 16:20 EDT, Ville Skyttä
no flags Details | Diff

  None (edit)
Description Ville Skyttä 2014-03-18 16:20:12 EDT
https://fedoraproject.org/wiki/Packaging:Treatment_Of_Bundled_Libraries#Packages_with_Bundled_Libraries

Even though system sqlite is used for the build, some of the bundled
files end up in -debuginfo which is a sign of something not being
quite right:

$ repoquery --repoid=rawhide-debuginfo -l wt-debuginfo | grep amalgamation/

Untested 'git am'able fix attached, let me know if you'd like me to
push and build this for devel.
Comment 1 Ville Skyttä 2014-03-18 16:20:17 EDT
Created attachment 876122 [details]
Make sure bundled sqlite files do not get used
Comment 2 Michal Minar 2014-03-21 06:59:02 EDT
Thanks you Ville for noticing this. I patched cmake file to solve it. Hopefully it's right.
Comment 3 Fedora Update System 2014-03-21 08:39:13 EDT
wt-3.3.2-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/wt-3.3.2-2.fc20
Comment 4 Fedora Update System 2014-03-22 01:06:45 EDT
Package wt-3.3.2-2.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing wt-3.3.2-2.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-4195/wt-3.3.2-2.fc20
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2014-04-02 05:29:58 EDT
wt-3.3.2-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.